# Refreshes data for a consent.

Refreshes the underlying connection for the banking data with the provider, then performs enrichment

Endpoint: POST /stored-data/v1/consents/{consentId}/refresh
Version: all
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http bearer scopes: api:stored_data

## Path parameters:

  - `consentId` (string, required)
    Unique reference for the consent

## Response 200:

  - `200` (unknown)
    Successfully completed data refresh

## Response 401:

  - `401` (unknown)
    The authorization header was invalid or not found

## Response 403:

  - `403` (unknown)
    The consent or account access has been revoked

## Response 403 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

## Response 404:

  - `404` (unknown)
    No consent or accounts were found

## Response 404 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

## Response 409:

  - `409` (unknown)
    A refresh is already in progress for this consent

## Response 409 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

## Response 500:

  - `500` (unknown)
    A server error has occurred

## Response 500 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

## Response 502:

  - `502` (unknown)
    The provider is temporarily unavailable or rate limit has been reached, try again in a few minutes

## Response 502 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

